use strict;
use warnings;
use flo::Standard;
use MKDoc::Handler::Initialize;
require "persistence.pl";

local $SIG{__WARN__} = sub { foo() };

sub foo { 1 + 1 };


load_state();

$| = 1;
MKDoc::Handler::Initialize::handler();
print "Update Started\n";

# construct a reference => description hash from what's on the site
my $site = {};
my $q = flo::Standard::table ('Document')->search();
while (my $doc = $q->next())
{
    my @prices = $doc->components ('price');
    for (@prices)
    {
        my $reference = $_->ref_id();
        $reference = uc ($reference);
        my $description = $doc->title() . ' (' . $_->description() . ')';
        $site->{$reference} = [ $description, $_->path() ];
    }
}


# delete all from the $::P_STOCK which is not on the $site 
for ( keys %{$::P_STOCK} )
{
    $site->{$_} || delete $::P_STOCK->{$_};
}
    

# insert all $site which is not in $::P_STOCK;
for ( keys %{$site} )
{
    $::P_STOCK->{$_} ||= [ $site->{$_}->[0], 0, $site->{$_}->[1] ];
}


save_state();
print "Update Finished\n";


1;
